## galapi
Class ProcessingContext

    java.lang.Object
      galapi.Item
          galapi.ProcessingContext

public class ProcessingContext
extends Item

A `ProcessingContext` contains flags for controlling debugging, printing, and the processing phases

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`protected` `ProcessingContext()`
`protected` `ProcessingContext(int native_item)`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingContext

    protected ProcessingContext()

### ProcessingContext

    protected ProcessingContext(int native_item)